#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Test program to illustrate MAX17040 class usage

import max17040

if __name__ == "__main__":

    # Connecting to MAX17040 in Debug mode
    chip = max17040.max17040(debug=True)

    # Retrieve firmware version
    chip.GetFirmwareVersion()

    # Retrieve battery voltage
    chip.GetCellVoltage()

    # Retrieve battery SoC
    chip.GetStateOfCharge()
